Skip to main content
PATCH
Update AI tool

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string
required

The project key

toolKey
string
required

The AI tool key

Body

application/json

AI tool object to update

maintainerId
string

The ID of the member who maintains this resource

Example:

"507f1f77bcf86cd799439011"

maintainerTeamKey
string

The key of the team that maintains this resource

Example:

"example-team-key"

description
string

A description of the tool

schema
object

JSON Schema defining the tool's parameters for LLM consumption

customParameters
object

Custom metadata and configuration for application-level use (not sent to LLM)

Example:
tags
string[]

Replaces the tags on the tool. Tags can be used in custom role policies.

Example:

Response

AI tool updated

key
string
required

The tool key

schema
object
required

JSON Schema defining the tool's parameters for LLM consumption

version
integer
required

Version of the tool. Starts at 1, and each update that changes the description, schema, custom parameters, or tags creates a new version. Pass this value with key in a variation's tools: [{key, version}].

Example:

2

createdAt
integer<int64>
required
_access
object
Example:

The location and content type of related resources

Example:
_site
object
Example:
_maintainer
object

The member or team that maintains this resource

Example:
description
string

A description of the tool

customParameters
object

Custom metadata and configuration for application-level use (not sent to LLM)

Example:
tags
string[]

Tags for the tool. Tags can be used in custom role policies.

Example: